module.exports = {
  extends: [
    'plugin:@typescript-eslint/recommended',
    'standard',
    'prettier/@typescript-eslint',
    'plugin:prettier/recommended',
    'prettier/standard'
  ],
  settings: {
    'import/parsers': {
      '@typescript-eslint/parser': ['.ts', '.tsx']
    },
    'import/resolver': {
      typescript: { }
    }
  },
  plugins: ['@typescript-eslint', 'prettier'],
  overrides: [
    {
      files: ['*.tsx?'],
      parser: '@typescript-eslint/parser',
      rules: {
        '@typescript-eslint/explicit-function-return-type': [2, {
          'allowExpressions': true
        }],
        '@typescript-eslint/indent': [2, 2],
        '@typescript-eslint/member-naming': [2, {
          'private': '^_'
        }],
        '@typescript-eslint/no-explicit-any': 0,
        '@typescript-eslint/no-unused-vars': [2, {
          'argsIgnorePattern': '^_'
        }],
        '@typescript-eslint/explicit-member-accessibility': [2, {
          'accessibility': 'no-public'
        }]
      }
    },
    {
      files: ['src/**/*.test.ts'],
      env: {
        jest: true
      },
      rules: {
        '@typescript-eslint/no-var-requires': 0,
        '@typescript-eslint/explicit-function-return-type': 0,
        '@typescript-eslint/no-non-null-assertion': 0
      }
    }
  ]
}
